Subject: RE: [nemo] RFC 3963: Clarifications if the MR is MN too

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Wed, 11 May 2005 11:24:16 +0200

| -----Original Message-----
| From: [email-masked] [mailto:[email-masked]] On Behalf
Of
| Thierry Ernst
| Sent: Wednesday, May 11, 2005 10:24 AM
| To: [email-masked]
| Subject: Re: [nemo] RFC 3963: Clarifications if the MR is MN too
| 
| 
| > As I remember, the intent is that:
| >
| > 1) The Home address is a unique id for a registration.
| >
| > 2) R bit and ~R bit are mutually exclusive. So a binding is for
either
| > one but not both. NEMO says:
| > 	If the Mobile Router has a valid binding cache entry at the Home
| >    Agent, subsequent Binding Updates for the same Home Address
should
| >    have the same value as the value in the binding cache for the
| >    Mobile Router Flag (R).
| >
| > In other words, if a MN needs to maintain 2 bindings, then it needs
2
| > home addresses. This would be the only way to have both types of
| > binding.
| 
| Make sense. Shouldn't this be enforced, and clarified in the spec ?
| 
| I mean, the question raised in this thread clearly shows that
| implementers don't know how to interpret the spec.
| 
| > 3) A MR that binds with R bit is reachable at its home address with
| > the full service set of an MN. R bit only adds functionality to the
| > MRHA tunnel.
| 
| That's the point.
| 
| > 4) NEMO basic does not cover route optimization. So the behavior of
a
| > HA should a CN attempt RR test for an MR binding is undefined. I
| > suspect that by default, most implementations would act as if the MR
| > was a MH.
| >
| > To answer a specific question from the original mail, the term
"Mobile
| > Node" is inherited from RFC 3775. When RFC 3963 says Mobile Node, it
| > means as defined by RFC 3775. The term Mobile Host was previously
| > undefined and we used it in NEMO to point out the difference. But an
| > RFC 3775 Mobile Node is really a Host and I agree it's misleading.
| 
| Yes, very missleading since the definition of a node is "either a host
| or a router", so a MN is either a mobile host or a mobile router per
| definition. But RFC 3775 is only about MH. May be the revised RFC 3775
| should change the wording too.
| 
| > The Cisco implementation supports concurrent bindings for MRs and
MNs
| > but a single binding per Home Address.
| 
| What do you mean, using 2 HoAs then ?
| 
[|PT>] I expect they are different physical machines, with their own
Home Addresses. 

It could be a same machine maintaining two sessions but I'm not sure it
would work with a single careof address. The specific problem is for the
HA to identify the tunnel when it receives a packet. Some
implementations might use the careof as index, though nothing guarantees
that it is a unique ID.

With MIP, the source of the inner packet is the Home Address so it is
pretty easy to figure out the binding. With NEMO, the packet has to be
topologically correct, meaning that the source of the packet is routed
over the MRHA tunnel. For a router that supports a large panel of tunnel
types, recognizing that this packet is for that MRHA tunnel is a bit
complex and involves routing table lookups. This is what our
implementation does.

I remember that we discussed putting a Home Address Option in the tunnel
outer header but the suggestion was rejected.

Pascal